# QAccessibleTableInterface Class Reference

### [com.trolltech.qt.gui package]

Inherits QAccessible2Interface.

### Constructor

- void QAccessibleTableInterface()

### Constructor Properties

- prototype: The QAccessibleTableInterface prototype object

### Prototype Object Properties

The QAccessibleTableInterface prototype object inherits properties from the QAccessible2Interface prototype object and also has the following properties.

- QAccessibleInterface accessibleAt(int row, int column)
- QAccessibleInterface caption()
- void cellAtIndex(int index, int row, int column, int rowSpan, int columnSpan, bool isSelected)
- int childIndex(int rowIndex, int columnIndex)
- int columnCount()
- String columnDescription(int column)
- QAccessibleInterface columnHeader()
- int columnIndex(int childIndex)
- int columnSpan(int row, int column)
- bool isColumnSelected(int column)
- bool isRowSelected(int row)
- bool isSelected(int row, int column)
- int rowCount()
- String rowDescription(int row)
- QAccessibleInterface rowHeader()
- int rowIndex(int childIndex)
- int rowSpan(int row, int column)
- void selectColumn(int column)
- void selectRow(int row)
- int selectedColumnCount()
- int selectedColumns(int maxColumns, List columns)
- int selectedRowCount()
- int selectedRows(int maxRows, List rows)
- QAccessibleInterface summary()
- void unselectColumn(int column)
- void unselectRow(int row)

### Instance Properties

QAccessibleTableInterface objects have no special properties beyond those inherited from the QAccessibleTableInterface prototype object.